Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalLookAndFeel

    java.lang.Object
      |
      +--javax.swing.LookAndFeel
            |
            +--javax.swing.plaf.basic.BasicLookAndFeel
                  |
                  +--javax.swing.plaf.metal.MetalLookAndFeel

All Implemented Interfaces:
  Serializable

public class MetalLookAndFeel
extends BasicLookAndFeel

Implements The Metal Look and Feel.

For the keyboard keys defined for each component in this Look and Feel (L&F), see Component Keystroke Actions for the Metal L&F.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`MetalLookAndFeel()`

Method Summary
`protected void` | `createDefaultTheme()`
`static ColorUIResource` | `getAcceleratorForeground()`
`static ColorUIResource` | `getAcceleratorSelectedForeground()`
`static ColorUIResource` | `getBlack()`
`static ColorUIResource` | `getControl()`
`static ColorUIResource` | `getControlDarkShadow()`
`static ColorUIResource` | `getControlDisabled()`
`static ColorUIResource` | `getControlHighlight()`
`static ColorUIResource` | `getControlInfo()`
`static ColorUIResource` | `getControlShadow()`
`static ColorUIResource` | `getControlTextColor()`
`static FontUIResource` | `getControlTextFont()`
`UIDefaults` | `getDefaults()` This method is called once by UIManager.setLookAndFeel to create the look and feel specific defaults table.
`String` | `getDescription()` Return a one line description of this look and feel implementation, e.g.
`static ColorUIResource` | `getDesktopColor()`
`static ColorUIResource` | `getFocusColor()`
`static ColorUIResource` | `getHighlightedTextColor()`
`String` | `getID()` Return a string that identifies this look and feel.
`static ColorUIResource` | `getInactiveControlTextColor()`
`static ColorUIResource` | `getInactiveSystemTextColor()`
`static ColorUIResource` | `getMenuBackground()`
`static ColorUIResource` | `getMenuDisabledForeground()`
`static ColorUIResource` | `getMenuForeground()`
`static ColorUIResource` | `getMenuSelectedBackground()`
`static ColorUIResource` | `getMenuSelectedForeground()`
`static FontUIResource` | `getMenuTextFont()`
`String` | `getName()` Return a short string that identifies this look and feel, e.g.
`static ColorUIResource` | `getPrimaryControl()`
`static ColorUIResource` | `getPrimaryControlDarkShadow()`
`static ColorUIResource` | `getPrimaryControlHighlight()`
`static ColorUIResource` | `getPrimaryControlInfo()`
`static ColorUIResource` | `getPrimaryControlShadow()`
`static ColorUIResource` | `getSeparatorBackground()`
`static ColorUIResource` | `getSeparatorForeground()`
`static FontUIResource` | `getSubTextFont()`
`static ColorUIResource` | `getSystemTextColor()`
`static FontUIResource` | `getSystemTextFont()`
`static ColorUIResource` | `getTextHighlightColor()`
`static ColorUIResource` | `getUserTextColor()`
`static FontUIResource` | `getUserTextFont()`
`static ColorUIResource` | `getWhite()`
`static ColorUIResource` | `getWindowBackground()`
`static ColorUIResource` | `getWindowTitleBackground()`
`static FontUIResource` | `getWindowTitleFont()`
`static ColorUIResource` | `getWindowTitleForeground()`
`static ColorUIResource` | `getWindowTitleInactiveBackground()`
`static ColorUIResource` | `getWindowTitleInactiveForeground()`
`protected void` | `initClassDefaults(UIDefaults table)` Initialize the uiClassID to BasicComponentUI mapping.
`protected void` | `initComponentDefaults(UIDefaults table)`
`protected void` | `initSystemColorDefaults(UIDefaults table)` Load the SystemColors into the defaults table.
`boolean` | `isNativeLookAndFeel()` If the underlying platform has a "native" look and feel, and this is an implementation of it, return true.
`boolean` | `isSupportedLookAndFeel()` Return true if the underlying platform supports and or permits this look and feel.
`static void` | `setCurrentTheme(MetalTheme theme)`

Methods inherited from class javax.swing.plaf.basic.BasicLookAndFeel
`loadSystemColors`

Methods inherited from class javax.swing.LookAndFeel
`initialize, installBorder, installColors, installColorsAndFont, loadKeyBindings, makeComponentInputMap, makeIcon, makeInputMap, makeKeyBindings, toString, uninitialize, uninstallBorder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetalLookAndFeel

    public MetalLookAndFeel()

Method Detail

### getName

    public String getName()

  Description copied from class: `LookAndFeel`
  Return a short string that identifies this look and feel, e.g. "CDE/Motif". This string should be appropriate for a menu item. Distinct look and feels should have different names, e.g. a subclass of MotifLookAndFeel that changes the way a few components are rendered should be called "CDE/Motif My Way"; something that would be useful to a user trying to select a L&F from a list of names.
  Overrides:
    `getName` in class `LookAndFeel`

### getID

    public String getID()

  Description copied from class: `LookAndFeel`
  Return a string that identifies this look and feel. This string will be used by applications/services that want to recognize well known look and feel implementations. Presently the well known names are "Motif", "Windows", "Mac", "Metal". Note that a LookAndFeel derived from a well known superclass that doesn't make any fundamental changes to the look or feel shouldn't override this method.
  Overrides:
    `getID` in class `LookAndFeel`

### getDescription

    public String getDescription()

  Description copied from class: `LookAndFeel`
  Return a one line description of this look and feel implementation, e.g. "The CDE/Motif Look and Feel". This string is intended for the user, e.g. in the title of a window or in a ToolTip message.
  Overrides:
    `getDescription` in class `LookAndFeel`

### isNativeLookAndFeel

    public boolean isNativeLookAndFeel()

  Description copied from class: `LookAndFeel`
  If the underlying platform has a "native" look and feel, and this is an implementation of it, return true. For example a CDE/Motif look and implementation would return true when the underlying platform was Solaris.
  Overrides:
    `isNativeLookAndFeel` in class `LookAndFeel`

### isSupportedLookAndFeel

    public boolean isSupportedLookAndFeel()

  Description copied from class: `LookAndFeel`
  Return true if the underlying platform supports and or permits this look and feel. This method returns false if the look and feel depends on special resources or legal agreements that aren't defined for the current platform.
  Overrides:
    `isSupportedLookAndFeel` in class `LookAndFeel`
  Following copied from class: `javax.swing.LookAndFeel`
  See Also:
    `UIManager.setLookAndFeel(javax.swing.LookAndFeel)`

### initClassDefaults

    protected void initClassDefaults(UIDefaults table)

  Initialize the uiClassID to BasicComponentUI mapping. The JComponent classes define their own uiClassID constants (see AbstractComponent.getUIClassID). This table must map those constants to a BasicComponentUI class of the appropriate type.
  Overrides:
    `initClassDefaults` in class `BasicLookAndFeel`
  See Also:
    `BasicLookAndFeel.getDefaults()`

### initSystemColorDefaults

    protected void initSystemColorDefaults(UIDefaults table)

  Load the SystemColors into the defaults table. The keys for SystemColor defaults are the same as the names of the public fields in SystemColor.
  Overrides:
    `initSystemColorDefaults` in class `BasicLookAndFeel`

### initComponentDefaults

    protected void initComponentDefaults(UIDefaults table)

  Overrides:
    `initComponentDefaults` in class `BasicLookAndFeel`

### createDefaultTheme

    protected void createDefaultTheme()

### getDefaults

    public UIDefaults getDefaults()

  Description copied from class: `LookAndFeel`
  This method is called once by UIManager.setLookAndFeel to create the look and feel specific defaults table. Other applications, for example an application builder, may also call this method.
  Overrides:
    `getDefaults` in class `BasicLookAndFeel`
  Following copied from class: `javax.swing.LookAndFeel`
  See Also:
    `LookAndFeel.initialize()`, `LookAndFeel.uninitialize()`, `UIManager.setLookAndFeel(javax.swing.LookAndFeel)`

### setCurrentTheme

    public static void setCurrentTheme(MetalTheme theme)

### getControlTextFont

    public static FontUIResource getControlTextFont()

### getSystemTextFont

    public static FontUIResource getSystemTextFont()

### getUserTextFont

    public static FontUIResource getUserTextFont()

### getMenuTextFont

    public static FontUIResource getMenuTextFont()

### getWindowTitleFont

    public static FontUIResource getWindowTitleFont()

### getSubTextFont

    public static FontUIResource getSubTextFont()

### getDesktopColor

    public static ColorUIResource getDesktopColor()

### getFocusColor

    public static ColorUIResource getFocusColor()

### getWhite

    public static ColorUIResource getWhite()

### getBlack

    public static ColorUIResource getBlack()

### getControl

    public static ColorUIResource getControl()

### getControlShadow

    public static ColorUIResource getControlShadow()

### getControlDarkShadow

    public static ColorUIResource getControlDarkShadow()

### getControlInfo

    public static ColorUIResource getControlInfo()

### getControlHighlight

    public static ColorUIResource getControlHighlight()

### getControlDisabled

    public static ColorUIResource getControlDisabled()

### getPrimaryControl

    public static ColorUIResource getPrimaryControl()

### getPrimaryControlShadow

    public static ColorUIResource getPrimaryControlShadow()

### getPrimaryControlDarkShadow

    public static ColorUIResource getPrimaryControlDarkShadow()

### getPrimaryControlInfo

    public static ColorUIResource getPrimaryControlInfo()

### getPrimaryControlHighlight

    public static ColorUIResource getPrimaryControlHighlight()

### getSystemTextColor

    public static ColorUIResource getSystemTextColor()

### getControlTextColor

    public static ColorUIResource getControlTextColor()

### getInactiveControlTextColor

    public static ColorUIResource getInactiveControlTextColor()

### getInactiveSystemTextColor

    public static ColorUIResource getInactiveSystemTextColor()

### getUserTextColor

    public static ColorUIResource getUserTextColor()

### getTextHighlightColor

    public static ColorUIResource getTextHighlightColor()

### getHighlightedTextColor

    public static ColorUIResource getHighlightedTextColor()

### getWindowBackground

    public static ColorUIResource getWindowBackground()

### getWindowTitleBackground

    public static ColorUIResource getWindowTitleBackground()

### getWindowTitleForeground

    public static ColorUIResource getWindowTitleForeground()

### getWindowTitleInactiveBackground

    public static ColorUIResource getWindowTitleInactiveBackground()

### getWindowTitleInactiveForeground

    public static ColorUIResource getWindowTitleInactiveForeground()

### getMenuBackground

    public static ColorUIResource getMenuBackground()

### getMenuForeground

    public static ColorUIResource getMenuForeground()

### getMenuSelectedBackground

    public static ColorUIResource getMenuSelectedBackground()

### getMenuSelectedForeground

    public static ColorUIResource getMenuSelectedForeground()

### getMenuDisabledForeground

    public static ColorUIResource getMenuDisabledForeground()

### getSeparatorBackground

    public static ColorUIResource getSeparatorBackground()

### getSeparatorForeground

    public static ColorUIResource getSeparatorForeground()

### getAcceleratorForeground

    public static ColorUIResource getAcceleratorForeground()

### getAcceleratorSelectedForeground

    public static ColorUIResource getAcceleratorSelectedForeground()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.